%define anolis_release 1

Name:           xcb-proto
Version:        1.15.2
Release:        %{anolis_release}%{?dist}
Summary:        XCB protocol descriptions

License:        MIT
URL:            https://xcb.freedesktop.org/
Source0:        https://xorg.freedesktop.org/archive/individual/proto/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  libxml2
BuildRequires:  make
BuildRequires:  python3-devel

%description
XCB is a project to enable efficient language bindings to the X11 protocol.
This package contains the protocol descriptions themselves.  Language
bindings use these protocol descriptions to generate code for marshalling
the protocol.

%prep
%autosetup -p1

%build
# Bit of a hack to get the pc file in /usr/share, so we can be noarch.
%configure --libdir=%{_datadir}
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING
%doc NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen

%changelog
* Sun Oct 30 2022 Funda Wang <fundawang@yeah.net> 1.15.2-1
- New version 1.15.2
- Init from upstream version 1.14
